add_data.sgldata {sglOptim} | R Documentation

## Add data to a sgldata data object

### Description

Addes a data to a sgldata data object

### Usage

    ## S3 method for class 'sgldata'
    add_data(data, x, name, default = NULL,
      type = element_class(x), sparse = is(x, "sparseMatrix"), ...)

### Arguments

`data` | sgldata object
`x` | matrix or vector,
`name` | name of the data object
`default` | default value, returned if x is null
`type` | data type, 'numeric' or 'integer'
`sparse` | if TRUE `y` will be treated as sparse, if FALSE `y` will be treated as dens.
`...` | not used

### Author(s)

Martin Vincent

### See Also

Other sgldata: `create.sgldata`, `prepare.args.sgldata`, `prepare.args`, `prepare_data`, `rearrange.sgldata`, `subsample.sgldata`

[Package sglOptim version 1.3.8 Index]